org.red5.io.flv.meta

## Class MetaData<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - org.red5.io.flv.meta.MetaData<K,V>

Type Parameters:
  `K` - key type
  `V` - value type

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, IMeta, IMetaData<Object,Object>

    public class MetaData<K,V>
    extends HashMap<String,Object>
    implements IMetaData<Object,Object>

MetaData Implementation

Author:
  The Red5 Project (red5@osflash.org), Dominick Accattato (daccattato@gmail.com) Example: // private boolean canSeekToEnd = true; // private int videocodecid = 4; // private int framerate = 15; // private int videodatarate = 600; // private int height; // private int width = 320; // private double duration = 7.347;
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`MetaData()` MetaData constructor

### Method Summary

Methods
`int` `getAudioCodecId()`
`boolean` `getCanSeekToEnd()` Returns a boolean depending on whether the video can seek to end
`double` `getDuration()` Returns the duration.
`double` `getFrameRate()` Returns the framerate.
`int` `getHeight()` Returns the height
`IMetaCue[]` `getMetaCue()` Return array of cue points
`int` `getVideoCodecId()` Returns the video codec id
`int` `getVideoDataRate()` Returns the videodatarate
`int` `getWidth()` Returns the width Video width
`void` `setAudioCodecId(int id)`
`void` `setCanSeekToEnd(boolean b)` Sets whether a video can seek to end
`void` `setDuration(double d)` Sets the duration.
`void` `setFrameRate(double rate)` Sets the framerate.
`void` `setHeight(int h)` Sets the height
`void` `setMetaCue(IMetaCue[] cuePoints)` Sets the Meta Cue Points
`void` `setVideoCodecId(int id)` Sets the video codec id
`void` `setVideoDataRate(int rate)` Sets the videodatarate
`void` `setWidth(int w)` Sets the width
`String` `toString()`

### Methods inherited from class java.util.HashMap

`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### MetaData

    public MetaData()

MetaData constructor

### Method Detail

#### getCanSeekToEnd

    public boolean getCanSeekToEnd()

Returns a boolean depending on whether the video can seek to end

Specified by:
  `getCanSeekToEnd` in interface `IMetaData<Object,Object>`
Returns:
  `true` if file is seekable to the end, `false` otherwise

#### setCanSeekToEnd

    public void setCanSeekToEnd(boolean b)

Sets whether a video can seek to end

Specified by:
  `setCanSeekToEnd` in interface `IMetaData<Object,Object>`
Parameters:
  `b` - `true` if file is seekable to the end, `false` otherwise

#### getVideoCodecId

    public int getVideoCodecId()

Returns the video codec id

Specified by:
  `getVideoCodecId` in interface `IMetaData<Object,Object>`
Returns:
  Video codec id

#### setVideoCodecId

    public void setVideoCodecId(int id)

Sets the video codec id

Specified by:
  `setVideoCodecId` in interface `IMetaData<Object,Object>`
Parameters:
  `id` - Video codec id

#### getAudioCodecId

    public int getAudioCodecId()

Specified by:
  `getAudioCodecId` in interface `IMetaData<Object,Object>`

#### setAudioCodecId

    public void setAudioCodecId(int id)

Specified by:
  `setAudioCodecId` in interface `IMetaData<Object,Object>`

#### getFrameRate

    public double getFrameRate()

Returns the framerate.

Specified by:
  `getFrameRate` in interface `IMetaData<Object,Object>`
Returns:
  FLV framerate in frames per second

#### setFrameRate

    public void setFrameRate(double rate)

Sets the framerate.

Specified by:
  `setFrameRate` in interface `IMetaData<Object,Object>`
Parameters:
  `rate` - FLV framerate in frames per second

#### getVideoDataRate

    public int getVideoDataRate()

Returns the videodatarate

Specified by:
  `getVideoDataRate` in interface `IMetaData<Object,Object>`
Returns:
  Video data rate

#### setVideoDataRate

    public void setVideoDataRate(int rate)

Sets the videodatarate

Specified by:
  `setVideoDataRate` in interface `IMetaData<Object,Object>`
Parameters:
  `rate` - Video data rate

#### getWidth

    public int getWidth()

Returns the width Video width

Specified by:
  `getWidth` in interface `IMetaData<Object,Object>`
Returns:
  width

#### setWidth

    public void setWidth(int w)

Sets the width

Specified by:
  `setWidth` in interface `IMetaData<Object,Object>`
Parameters:
  `w` - Video width

#### getDuration

    public double getDuration()

Returns the duration.

Specified by:
  `getDuration` in interface `IMetaData<Object,Object>`
Returns:
  duration Video duration in seconds

#### setDuration

    public void setDuration(double d)

Sets the duration.

Specified by:
  `setDuration` in interface `IMetaData<Object,Object>`
Parameters:
  `d` - Video duration in seconds

#### getHeight

    public int getHeight()

Returns the height

Specified by:
  `getHeight` in interface `IMetaData<Object,Object>`
Returns:
  height Video height

#### setHeight

    public void setHeight(int h)

Sets the height

Specified by:
  `setHeight` in interface `IMetaData<Object,Object>`
Parameters:
  `h` - Video height

#### setMetaCue

    public void setMetaCue(IMetaCue[] cuePoints)

Sets the Meta Cue Points

Specified by:
  `setMetaCue` in interface `IMetaData<Object,Object>`
Parameters:
  `cuePoints` - The cuePoints to set.

#### getMetaCue

    public IMetaCue[] getMetaCue()

Return array of cue points

Specified by:
  `getMetaCue` in interface `IMetaData<Object,Object>`
Returns:
  Array of cue points

#### toString

    public String toString()

Overrides:
  `toString` in class `AbstractMap<String,Object>`